| Irrlicht 3D Engine |

Public Member Functions
irr::video::IImageLoader Class Reference

Class which is able to create a image from a file. More...

`#include <IImageLoader.h>`

Inheritance diagram for irr::video::IImageLoader:

List of all members.

## Public Member Functions

- virtual bool isALoadableFileExtension (const io::path &filename) const =0
    Check if the file might be loaded by this class.
- virtual bool isALoadableFileFormat (io::IReadFile *file) const =0
    Check if the file might be loaded by this class.
- virtual IImage * loadImage (io::IReadFile *file) const =0
    Creates a surface from the file.

## Detailed Description

Class which is able to create a image from a file.

If you want the Irrlicht Engine be able to load textures of currently unsupported file formats (e.g .gif), then implement this and add your new Surface loader with IVideoDriver::addExternalImageLoader() to the engine.

Definition at line 26 of file IImageLoader.h.

## Member Function Documentation

virtual bool irr::video::IImageLoader::isALoadableFileExtension | ( | const io::path & | filename | ) | const`[pure virtual]`

Check if the file might be loaded by this class.

Check is based on the file extension (e.g. ".tga")

Parameters:

  filename | Name of file to check.

Returns:
  True if file seems to be loadable.

virtual bool irr::video::IImageLoader::isALoadableFileFormat | ( | io::IReadFile * | file | ) | const`[pure virtual]`

Check if the file might be loaded by this class.

Check might look into the file.

Parameters:

  file | File handle to check.

Returns:
  True if file seems to be loadable.

virtual IImage* irr::video::IImageLoader::loadImage | ( | io::IReadFile * | file | ) | const`[pure virtual]`

Creates a surface from the file.

Parameters:

  file | File handle to check.

Returns:
  Pointer to newly created image, or 0 upon error.

The documentation for this class was generated from the following file:

- IImageLoader.h